Bug 852920 - Can add multiple tags to a topic from a group that should be exclusive
Can add multiple tags to a topic from a group that should be exclusive
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: REST-API (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 22:35 EDT by Lee Newson
Modified: 2014-05-26 21:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 852918
Environment:
Last Closed: 2013-07-01 19:34:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-08-29 22:35:17 EDT
+++ This bug was initially created as a clone of Bug #852918 +++

When editing tags on a topic you can add multiple tags to a topic from a group that should be exclusive

Eg. you can add multiple topic types.

This might also apply to the different Priority tags as well (IA, SME, Engineering, PM, Nav

I'm going to guess and say that this was only enforced in the original UI.  It might be possible to bypass that constraint in the REST API.

Ideally this information (that a tag category can only have a single item selected in it for a given topic) should be a configuration item of the category and be enforced at least in the REST API, if not also in the model.
Comment 1 Lee Newson 2012-11-22 23:56:20 EST
Fixed in 20121111-0821.

The server will now throw a 400 status when you try to add/update a topic with mutually exclusive tags.

Note You need to log in before you can comment on or make changes to this bug.